Page MenuHomePhabricator

Unclear error message when uploading a larger attachment: "Exception: No configured storage engine can store this file."
Closed, ResolvedPublic

Description

If one try uploading a larger attachment (several MBs) it gets the following error:
Upload Failure
recording_20170111_013125.mp4

Exception: No configured storage engine can store this file. See "Configuring File Storage" in the documentation for information on configuring storage engines.

The expected error message would be along the lines of file too large, file size limit is $1
It would be useful to add the size limit to the upload dialog as well.

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Yes, I had this message when I uploading video too..

But I uploaded video from 6 mb.

@Zoranzoki21: The error message is already in the task description. No need to add duplicated information (please attach text as text, not text as an image) and no need for a confirmation as this task is still open (see upper left corner) so it is not fixed.

Aklapper renamed this task from unclear error meesage when uploading an attachment larger than 10mb to unclear error meesage when uploading a larger attachment.Jul 24 2017, 9:11 PM
Aklapper updated the task description. (Show Details)
Aklapper updated the task description. (Show Details)

@Zoranzoki21: The error message is already in the task description. No need to add duplicated information (please attach text as text, not text as an image) and no need for a confirmation as this task is still open (see upper left corner) so it is not fixed.

Oookaay.

Aklapper renamed this task from unclear error meesage when uploading a larger attachment to Unclear error message when uploading a larger attachment: "Exception: No configured storage engine can store this file.".Aug 8 2017, 2:04 PM

@Aklapper This error message is confusing still! Took a while to land up on this task and figure out the max file upload size is ~4MB.

Ideal would be updating the error message if there is a way to do that easily without upstream help.

If not, then Phabricator/Help on MediaWiki.org needs some tweaks.

In addition to the file size info, recommended formats for the video, links to resources that one can use to make the video and convert it to a recommended format, display the video file in thumbnail size (what is specified in the Remarkup reference does not work) might be a helpful addition to the documentation.

Does this look like a potential Google-Code-in-2018 task?

If not, then Phabricator/Help on MediaWiki.org needs some tweaks.

@SrishtiSethi: That link is broken so I'm not sure which exact section you refer to.

If not, then Phabricator/Help on MediaWiki.org needs some tweaks.

@SrishtiSethi: That link is broken so I'm not sure which exact section you refer to.

@Aklapper User maybe thinked on: https://www.mediawiki.org/wiki/Phabricator/Help#Uploading_file_attachments

Ideal would be updating the error message if there is a way to do that easily without upstream help.

Hmm, Conduit's src/applications/files/conduit/FileAllocateConduitAPIMethod.php defines an error message Unable to upload file: this file is too large for any configured storage engine. so I'd say it should be possible to catch this by checking storage.mysql-engine.max-size (as storage.upload-size-limit does not exist anymore)?
But src/applications/files/storage/PhabricatorFile.php does not and shows the message above.

(what is specified in the Remarkup reference does not work)

@SrishtiSethi: Can you please explain what exactly you did and what happened exactly?

@SrishtiSethi: Can you please explain what exactly you did and what happened exactly?

From the "Embedding Images" section in the Remarkup reference, it seems like size=thumb helps display an image in thumbnail size. But, the same option does not work with a video file. I tried something like:

{F26830340, size=thumb}

@SrishtiSethi: That is exactly what the documentation says: Video files do not have a size parameter.

@SrishtiSethi: That is exactly what the documentation says: Video files do not have a size parameter.

Then it looks like there is no way to display a video in small size. If that, then it might still be good to highlight that in our docs on MediaWiki.org among other things that I've listed above.

IMO generic "How to make videos for the web" instructions feel out of scope for a Phabricator help page.

Folks, it seems like this is a longstanding (since 2017) and recurrent issue, as shown by the many duplicates above (I counted 9), including my own T326418.

Can we please consider prioritizing a fix?

Change 877188 had a related patch set uploaded (by Aklapper; author: Aklapper):

[operations/puppet@production] phab: Improve error message for too large file uploads

https://gerrit.wikimedia.org/r/877188

Aklapper changed the task status from Open to Stalled.Mar 9 2023, 10:43 PM
Aklapper removed a subscriber: chasemp.

Proceeding with the patch is blocked on sorting out T331673: Remove unused(?) fixed_settings.yaml from Phabricator puppet config first.

Mentioned in SAL (#wikimedia-operations) [2023-03-15T21:46:01Z] <brennen@deploy2002> Started deploy [phabricator/deployment@982c225]: follow-up deploy for too large file message (T331915, T155130)

Mentioned in SAL (#wikimedia-operations) [2023-03-15T21:46:29Z] <brennen@deploy2002> Finished deploy [phabricator/deployment@982c225]: follow-up deploy for too large file message (T331915, T155130) (duration: 00m 28s)

Mentioned in SAL (#wikimedia-operations) [2023-03-15T21:46:53Z] <brennen@deploy2002> Started deploy [phabricator/deployment@982c225]: follow-up deploy for too large file message (T331915, T155130)

Mentioned in SAL (#wikimedia-operations) [2023-03-15T21:47:33Z] <brennen@deploy2002> Finished deploy [phabricator/deployment@982c225]: follow-up deploy for too large file message (T331915, T155130) (duration: 00m 40s)

brennen claimed this task.
brennen subscribed.

New error message:

2023-03-15-15:50:43.png (218×378 px, 16 KB)

Change 877188 abandoned by Dzahn:

[operations/puppet@production] phab: Improve error message for too large file uploads

Reason:

This has been deployed in production but in phabricator config itself. so resolved but this is not needed.

https://gerrit.wikimedia.org/r/877188

Pppery subscribed.

Reopening since this appears to have been accidentally reverted in rPHDEPe4d3f7ff48a391c68267f63cd888a8463aca1f0f

In my understanding the overwrite is still in place at https://gitlab.wikimedia.org/repos/phabricator/deployment/-/blob/wmf/stable/scap/templates/phabricator/conf/local/local.json.j2#L305 because in https://phabricator.wikimedia.org/rPHDEPe4d3f7ff48a391c68267f63cd888a8463aca1f0f I only deleted its duplicate string in #L308. But I could have been more explicit about this, sorry, so still thanks for spotting this! :)